#include <Display OLED SH1106.h>

#FUSES NOMCLR

#use i2c(Master, Fast, sda=PIN_B0, scl=PIN_B1, force_sw, stream=OLED_stream)//parametros I2C

#define SH1106_128_64 //DEFINE EL MODELO DE LA PANTALLA OLED

#include "OLED_I2C.c" //libreria oled I2C

void main()
{
   OLED_Begin();
   OLED_ClearDisplay();
   
   setup_adc(ADC_CLOCK_INTERNAL);
   set_adc_channel (0);
   
   int16 potenciometro;
   char texto[20];
   while(TRUE)
   {
      sprintf(texto,"HOLA MUNDO");
      OLED_DrawText(30,1,texto,1);
      
      OLED_DrawRect(10,9,105,21);
      
      potenciometro=read_adc();
      sprintf(texto,"POT:%04lu",potenciometro);
      OLED_DrawText(14,12,texto,2);
          
      OLED_Display(); //Muestra la informacin en pantalla
   }

}
